unit UnitMain;

{$mode objfpc}{$H+}

interface

uses
  Classes, FileUtil, Forms, StdCtrls, ExtCtrls, md5;

type

  { TFormMain }

  TFormMain = class(TForm)
    ButtonGetMD5: TButton;
    MemoLog: TMemo;
    RadioGroupType: TRadioGroup;
    procedure ButtonGetMD5Click(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  FormMain: TFormMain;
  FileList: TStringList;
  EmptyMD5String: String='d41d8cd98f00b204e9800998ecf8427e';

implementation

{$R *.lfm}

{ TFormMain }

procedure TFormMain.ButtonGetMD5Click(Sender: TObject);
var
  FileListCounter: Integer;
  MD5Sum: String;
begin
  MemoLog.Text:='';
  FileList.Free;
  FileList:=FindAllFiles(GetCurrentDirUTF8+DirectorySeparator+'TemplateFiles','*.txt',False);
  for FileListCounter:=0 to FileList.Count-1 do
  begin
    MemoLog.Lines.Add(ExtractFileNameOnly(FileList[FileListCounter]));
    case RadioGroupType.ItemIndex of
      0:MD5Sum:=MD5Print(MD5File(FileList[FileListCounter]));                                (* DEFAULT *)
      1:MD5Sum:=MD5Print(MD5File(Utf8ToAnsi(FileList[FileListCounter])));                    (* Utf8ToAnsi *)
      2:MD5Sum:=MD5Print(MD5File(UTF8ToSys(FileList[FileListCounter])));                     (* UTF8ToSys *)
      3:MD5Sum:=MD5Print(MD5File(UTF8Decode(FileList[FileListCounter])));                    (* UTF8Decode *)
    end;
    MemoLog.Lines.Add(MD5Sum);
    if MD5Sum=EmptyMD5String then MemoLog.Lines.Add('--- WARNING ---') else MemoLog.Lines.Add('OK');
    MemoLog.Lines.Add('');
  end;
end;

end.

